Add files via upload

This commit is contained in:
Alexander David Frick 2022-06-07 03:26:29 -05:00 committed by GitHub
parent bb6ed1d0c2
commit d4404600b8
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
27 changed files with 94 additions and 0 deletions

View file

View file

@ -0,0 +1,47 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
YEL='\033[1;33m' # Yellow
RED='\033[1;31m' # Red
GRE='\033[1;32m' # Green
c0=$'\033[0m' # Reset Text
bold=$'\033[1m' # Bold Text
underline=$'\033[4m' # Underline Text
# Error handling
yell() { echo "$0: $*" >&2; }
die() { yell "$*"; exit 111; }
try() { "$@" || die "${RED}Failed $*"; }
printf "\n" &&
printf "${YEL}Generating Thorium App .icns file for MacOS...\n" &&
printf "${GRE}\n" &&
# Copy .pngs
export output_iconset_name"Thorium.iconset" &&
mkdir $output_iconset_name &&
cp -v ./icon_16x16.png ./Thorium.iconset/ &&
cp -v ./icon_16x16@2x.png ./Thorium.iconset/ &&
cp -v ./icon_32x32.png ./Thorium.iconset/ &&
cp -v ./icon_32x32@2x.png ./Thorium.iconset/ &&
cp -v ./icon_64x64.png ./Thorium.iconset/ &&
cp -v ./icon_64x64@2x.png ./Thorium.iconset/ &&
cp -v ./icon_128x128.png ./Thorium.iconset/ &&
cp -v ./icon_128x128@2x.png ./Thorium.iconset/ &&
cp -v ./icon_256x256.png ./Thorium.iconset/ &&
cp -v ./icon_256x256@2x.png ./Thorium.iconset/ &&
cp -v ./icon_512x512.png ./Thorium.iconset/ &&
cp -v ./icon_512x512@2x.png ./Thorium.iconset/ &&
# Generate .icns file
iconutil -c icns $output_iconset_name &&
# Remove temp dir
rm -R -v $output_iconset_name
printf "\n" &&
printf "${GRE}Done!\n" &&
tput sgr0

Binary file not shown.

After

Width:  |  Height:  |  Size: 7.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 19 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 601 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 19 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 55 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 55 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 161 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 3.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 7.5 KiB

View file

@ -0,0 +1,47 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
YEL='\033[1;33m' # Yellow
RED='\033[1;31m' # Red
GRE='\033[1;32m' # Green
c0=$'\033[0m' # Reset Text
bold=$'\033[1m' # Bold Text
underline=$'\033[4m' # Underline Text
# Error handling
yell() { echo "$0: $*" >&2; }
die() { yell "$*"; exit 111; }
try() { "$@" || die "${RED}Failed $*"; }
printf "\n" &&
printf "${YEL}Generating Thorium Document .icns file for MacOS...\n" &&
printf "${GRE}\n" &&
# Copy .pngs
export output_iconset_name"ThoriumDocument.iconset" &&
mkdir $output_iconset_name &&
cp -v ./icon_16x16.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_16x16@2x.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_32x32.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_32x32@2x.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_64x64.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_64x64@2x.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_128x128.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_128x128@2x.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_256x256.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_256x256@2x.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_512x512.png ./ThoriumDocument.iconset/ &&
cp -v ./icon_512x512@2x.png ./ThoriumDocument.iconset/ &&
# Generate .icns file
iconutil -c icns $output_iconset_name &&
# Remove temp dir
rm -R -v $output_iconset_name
printf "\n" &&
printf "${GRE}Done!\n" &&
tput sgr0

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 977 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 8.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 8.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 16 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.2 KiB